import { z } from "zod";

export const albumSchema = z.object({
  title: z
    .string({ required_error: "Le titre est obligatoire" })
    .min(1, "Le titre est obligatoire")
    .max(500, "500 caractères au maximum"),
  date: z.string({ required_error: "La date est obligatoire" }),

  images: z.array(z.string()).max(20, "20 images au maximum"),
});

export type AlbumSchema = z.infer<typeof albumSchema>;
